Page MenuHomePhabricator

On the ContentTranslation dashboard "Start a new translation" action should be integrated in the list of articles
Closed, ResolvedPublic

Description

The "Start a new translation" action should be placed below the filters, and integrated in the list of articles.


  • For the suggestions view a less prominent style is used for the button to keep the focus on the suggestions:


    ( Split from T88344 )

    Event Timeline

    Amire80 created this task.Jul 2 2015, 1:27 PM
    Amire80 raised the priority of this task from to High.
    Amire80 updated the task description. (Show Details)
    Amire80 added subscribers: Arrbee, santhosh, Pginer-WMF, Nirzar.
    Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2015, 1:27 PM
    Amire80 lowered the priority of this task from High to Low.Jul 2 2015, 1:31 PM
    Amire80 set Security to None.
    Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 2 2015, 4:35 PM
    Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 4:27 PM
    Pginer-WMF updated the task description. (Show Details)Sep 3 2015, 7:37 AM
    Pginer-WMF updated the task description. (Show Details)
    Pginer-WMF updated the task description. (Show Details)
    Amire80 edited a custom field.Oct 24 2015, 12:48 PM
    Amire80 claimed this task.Oct 27 2015, 9:49 AM
    Amire80 moved this task from Backlog to In Progress on the LE-CX7-Sprint 2 board.

    Change 249146 had a related patch set uploaded (by Amire80):
    Update the styling of the "Start a new translation" container

    https://gerrit.wikimedia.org/r/249146

    @Pginer-WMF, https://gerrit.wikimedia.org/r/249146 has the following effect. Do you agree with this change?

    Also


    (suggestions has a ticket to attach the 'create translation' as part of list , without button)

    @Pginer-WMF, https://gerrit.wikimedia.org/r/249146 has the following effect. Do you agree with this change?

    It looks good in general, but there are a couple of small styling details to consider:

    • The space around the button should be more consistent. The button should be at the same distance from the top bottom and left of its container.
    • The "+" icon is too small. It should be as tall as the line height used for the button.

    (suggestions has a ticket to attach the 'create translation' as part of list , without button)

    Perfect. Note that it should be attached to the "Suggestions" list, not the "For later" one.
    Also, which is the ticket?

    Also, which is the ticket?

    This ticket itself :). I thought there is another tiket.

    Arrbee added a comment.Nov 3 2015, 8:02 AM

    To be done later

    Change 249146 abandoned by Amire80:
    Update the styling of the "Start a new translation" container

    Reason:
    The design was updated.

    https://gerrit.wikimedia.org/r/249146

    Amire80 removed Amire80 as the assignee of this task.Jan 24 2016, 10:32 PM
    Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.
    Amire80 added a subscriber: Amire80.
    Nirzar removed a subscriber: Nirzar.Feb 3 2016, 6:20 AM
    Amire80 moved this task from CX8 to Bugs on the ContentTranslation board.Apr 20 2016, 1:11 PM
    Pginer-WMF closed this task as Resolved.Mar 1 2018, 1:54 PM
    Pginer-WMF claimed this task.